LS = {}
	LS.isAnImage = false
	LS.Area = {}
		LS.Area.l = love.graphics.getWidth()*1/3
		LS.Area.r = love.graphics.getWidth()*2/3
		LS.Area.w = love.graphics.getWidth()
		LS.Area.h = love.graphics.getHeight()

function loadImages(folder)
	
	imageTable = {}
	local width = LS.Area.l
	local lfs = love.filesystem
	local filesTable = lfs.enumerate(folder)
	for i,v in ipairs(filesTable) do
		if lfs.isFile(v) then
			local fileName = string.lower(v)
			if checkIfImage(fileName) then
				local image = createImage(v)
				image.x = width
				table.insert(imageTable, image)
				LS.isAnImage = true
				width = width + image.w
			end
		end
	end
	return imageTable

end

function checkIfImage(fileName)

	if string.find(fileName, ".jpg$") then
		return true
	elseif string.find(fileName, ".png$") then
		return true
	elseif string.find(fileName, ".gif$") then
		return true
	end
	return false

end

function createImage(fileName)

	newImage = {}
		newImage.fileName = fileName
		newImage.image = love.graphics.newImage(fileName)
		local height = newImage.image:getHeight()
		local winHeight = love.graphics.getHeight()
		if height>winHeight then
			newImage.h = winHeight
			newImage.w = (winHeight*newImage.image:getWidth())/height
			newImage.s = winHeight/height
		else
			newImage.h = newImage.image:getHeight()
			newImage.w = newImage.image:getWidth()
			newImage.s = 1
		end
		newImage.x = 0
		newImage.y = 0
	return newImage

end

function updateImages(dt, images)

	local mX = love.mouse.getX()
	local mY = love.mouse.getY()
	if LS.isAnImage then
		if mX<LS.Area.l and mX>0 then
      if images[1].x > LS.Area.r - images[1].x then
				return
			end
			for i,v in ipairs(images) do
				v.x = v.x+1000*(LS.Area.l-mX)/LS.Area.l*dt
			end
		elseif mX>LS.Area.r and mX<LS.Area.w then
      if images[#images].x < LS.Area.l then
				return
			end
			local r = LS.Area.w-LS.Area.r
			for i,v in ipairs(images) do
				v.x = v.x-1000*(r-(LS.Area.w-mX))/r*dt
			end
		end
	end
end

function drawImages(images)

	for i,v in ipairs(images) do
		if images[i].x>-images[i].w and images[i].x<LS.Area.w then
			love.graphics.draw(images[i].image,images[i].x,images[i].y,0,images[i].s)
		end
	end
end
